<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:template match="/">
  <html>
  <body>
    <h3 style="font-family:Tahoma"> Flight plan created by FlightSim Commander</h3>	
    <p align="center" style="font-family:Tahoma; font-size:32px; color:black">
    <xsl:value-of select="flightplan/generalinfo/title" /></p>

    <h4 style="font-family:Tahoma">Departure Airport:</h4>    

    <table border="0">
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/departureinfo/departureid"/>
       <xsl:text> </xsl:text>
       <xsl:value-of select="flightplan/airportinfo/departureinfo/departurename"/>
       <xsl:text> (</xsl:text>    
       <xsl:value-of select="flightplan/airportinfo/departureinfo/departurecity"/>
       <xsl:text> </xsl:text>  
       <xsl:value-of select="flightplan/airportinfo/departureinfo/departurecountry"/>
       <xsl:text>)</xsl:text>
       </td>
    </table>    
    
    <table border="0">
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Latitude: </xsl:text>       
       </td>       
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/departureinfo/departurelat"/>
       </td>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text> Longitude: </xsl:text>       
       </td>   
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/departureinfo/departurelon"/>
       </td>
    </table> 

    <table border="0">
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Elevation: </xsl:text>       
       </td>        
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/departureinfo/departurealt"/>
       </td>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text> Magnetic variation: </xsl:text>       
       </td>        
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/departureinfo/departuremagvar"/>
       </td>
    </table> 
   
    <table border="0">
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Aircraft position: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/departureinfo/departureposition"/>
       </td>
    </table> 

    <table border="0">
       <td style="font-family:Tahoma; font-size:15px; font-weight:bold">
       <xsl:text>Frequencies: </xsl:text>       
       </td>
    </table>

    <table border="0">
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>ATIS: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/departureinfo/departurefreq/departureatis"/>
       </td>
    </table> 

    <table border="0">
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Ground: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/departureinfo/departurefreq/departureground"/>
       </td>
    </table> 

    <table border="0">
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Delivery: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/departureinfo/departurefreq/departuredelivery"/>
       </td>
    </table> 
   
    <table border="0">
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Tower: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/departureinfo/departurefreq/departuretower"/>
       </td>
    </table> 

    <table border="0">
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Approach: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/departureinfo/departurefreq/departureapproach"/>
       </td>
    </table> 

    <table border="0">
       <td style="font-family:Tahoma; font-size:15px; font-weight:bold">
       <xsl:text>ILS Information: </xsl:text>       
       </td>
    </table>

    <xsl:for-each select="flightplan/airportinfo/departureinfo/departureils">
    <table border="0">    
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="ilsrwyid"/> 
       <xsl:text> - </xsl:text>      
       <xsl:value-of select="ilsname"/>
       <xsl:text> - </xsl:text>      
       <xsl:value-of select="ilscode"/>
       <xsl:text> - </xsl:text>      
       <xsl:value-of select="ilsfreq"/>
       <xsl:text> - (Glideangle: </xsl:text>      
       <xsl:value-of select="ilsglideangle"/>
       <xsl:text> - Rwy length: </xsl:text>      
       <xsl:value-of select="ilsrwylength"/>
       <xsl:text> ft)</xsl:text>
       </td>
    </table>
    </xsl:for-each>  

    <table border="0">
       <td style="font-family:Tahoma; font-size:15px; font-weight:bold">
       <xsl:text>Runway Information: </xsl:text>       
       </td>
    </table>

    <xsl:for-each select="flightplan/airportinfo/departureinfo/departurerwy">
    <table border="0">    
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="rwyid"/> 
       <xsl:text> - Heading:</xsl:text>      
       <xsl:value-of select="rwyheading"/>
       <xsl:text> - Length:</xsl:text>      
       <xsl:value-of select="rwylength"/>
       <xsl:text> - Width:</xsl:text>      
       <xsl:value-of select="rwywidth"/>
       </td>
    </table>
    </xsl:for-each>  


    <table border="0">
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Weather: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/departureinfo/departureweather"/>
       </td>
    </table>  


    <h4 style="font-family:Tahoma">Destination Airport:</h4> 

    <table border="0">
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/destinationinfo/destinationid"/>
       <xsl:text> </xsl:text>
       <xsl:value-of select="flightplan/airportinfo/destinationinfo/destinationname"/>
       <xsl:text> (</xsl:text>    
       <xsl:value-of select="flightplan/airportinfo/destinationinfo/destinationcity"/>
       <xsl:text> </xsl:text>  
       <xsl:value-of select="flightplan/airportinfo/destinationinfo/destinationcountry"/>
       <xsl:text>)</xsl:text>
       </td>
    </table>    
    
    <table border="0">
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Latitude: </xsl:text>       
       </td>       
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/destinationinfo/destinationlat"/>
       </td>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text> Longitude: </xsl:text>       
       </td>   
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/destinationinfo/destinationlon"/>
       </td>
    </table> 

    <table border="0">
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Elevation: </xsl:text>       
       </td>        
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/destinationinfo/destinationalt"/>
       </td>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text> Magnetic variation: </xsl:text>       
       </td>        
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/destinationinfo/destinationmagvar"/>
       </td>
    </table> 
   
    
    <table border="0">
       <td style="font-family:Tahoma; font-size:15px; font-weight:bold">
       <xsl:text>Frequencies: </xsl:text>       
       </td>
    </table>

    <table border="0">
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>ATIS: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/destinationinfo/destinationfreq/destinationatis"/>
       </td>
    </table> 

    <table border="0">
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Ground: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/destinationinfo/destinationfreq/destinationground"/>
       </td>
    </table> 

    <table border="0">
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Delivery: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/destinationinfo/destinationfreq/destinationdelivery"/>
       </td>
    </table> 
   
    <table border="0">
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Tower: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/destinationinfo/destinationfreq/destinationtower"/>
       </td>
    </table> 

    <table border="0">
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Approach: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/destinationinfo/destinationfreq/destinationapproach"/>
       </td>
    </table> 

    <table border="0">
       <td style="font-family:Tahoma; font-size:15px; font-weight:bold">
       <xsl:text>ILS Information: </xsl:text>       
       </td>
    </table>

    <xsl:for-each select="flightplan/airportinfo/destinationinfo/destinationils">
    <table border="0">    
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="ilsrwyid"/> 
       <xsl:text> - </xsl:text>      
       <xsl:value-of select="ilsname"/>
       <xsl:text> - </xsl:text>      
       <xsl:value-of select="ilscode"/>
       <xsl:text> - </xsl:text>      
       <xsl:value-of select="ilsfreq"/>
       <xsl:text> - (Glideangle: </xsl:text>      
       <xsl:value-of select="ilsglideangle"/>
       <xsl:text> - Rwy length: </xsl:text>      
       <xsl:value-of select="ilsrwylength"/>
       <xsl:text> ft)</xsl:text>
       </td>
    </table>
    </xsl:for-each>  
    
    <table border="0">
       <td style="font-family:Tahoma; font-size:15px; font-weight:bold">
       <xsl:text>Runway Information: </xsl:text>       
       </td>
    </table>

    <xsl:for-each select="flightplan/airportinfo/destinationinfo/destinationrwy">
    <table border="0">    
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="rwyid"/> 
       <xsl:text> - Heading:</xsl:text>      
       <xsl:value-of select="rwyheading"/>
       <xsl:text> - Length:</xsl:text>      
       <xsl:value-of select="rwylength"/>
       <xsl:text> - Width:</xsl:text>      
       <xsl:value-of select="rwywidth"/>
       </td>
    </table>
    </xsl:for-each>  


    <table border="0">
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Weather: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/destinationinfo/destinationweather"/>
       </td>
    </table>  





    <xsl:if test="flightplan/generalinfo/fuel/alternatefuel &gt; 0">

    <h4 style="font-family:Tahoma">Alternate Airport:</h4>

    <table border="0">
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/alternateinfo/alternateid"/>
       <xsl:text> </xsl:text>
       <xsl:value-of select="flightplan/airportinfo/alternateinfo/alternatename"/>
       <xsl:text> (</xsl:text>    
       <xsl:value-of select="flightplan/airportinfo/alternateinfo/alternatecity"/>
       <xsl:text> </xsl:text>  
       <xsl:value-of select="flightplan/airportinfo/alternateinfo/alternatecountry"/>
       <xsl:text>)</xsl:text>
       </td>
    </table>    
    
    <table border="0">
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Latitude: </xsl:text>       
       </td>       
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/alternateinfo/alternatelat"/>
       </td>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text> Longitude: </xsl:text>       
       </td>   
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/alternateinfo/alternatelon"/>
       </td>
    </table> 

    <table border="0">
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Elevation: </xsl:text>       
       </td>        
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/alternateinfo/alternatealt"/>
       </td>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text> Magnetic variation: </xsl:text>       
       </td>        
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/alternateinfo/alternatemagvar"/>
       </td>
    </table> 

    <table border="0">
       <td style="font-family:Tahoma; font-size:15px; font-weight:bold">
       <xsl:text>Frequencies: </xsl:text>       
       </td>
    </table>

    <table border="0">
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>ATIS: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/alternateinfo/alternatefreq/alternateatis"/>
       </td>
    </table> 

    <table border="0">
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Ground: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/alternateinfo/alternatefreq/alternateground"/>
       </td>
    </table> 

    <table border="0">
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Delivery: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/alternateinfo/alternatefreq/alternatedelivery"/>
       </td>
    </table> 
   
    <table border="0">
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Tower: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/alternateinfo/alternatefreq/alternatetower"/>
       </td>
    </table> 

    <table border="0">
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Approach: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/alternateinfo/alternatefreq/alternateapproach"/>
       </td>
    </table> 

    <table border="0">
       <td style="font-family:Tahoma; font-size:15px; font-weight:bold">
       <xsl:text>ILS Information: </xsl:text>       
       </td>
    </table>

    <xsl:for-each select="flightplan/airportinfo/alternateinfo/alternateils">
    <table border="0">    
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="ilsrwyid"/> 
       <xsl:text> - </xsl:text>      
       <xsl:value-of select="ilsname"/>
       <xsl:text> - </xsl:text>      
       <xsl:value-of select="ilscode"/>
       <xsl:text> - </xsl:text>      
       <xsl:value-of select="ilsfreq"/>
       <xsl:text> - (Glideangle: </xsl:text>      
       <xsl:value-of select="ilsglideangle"/>
       <xsl:text> - Rwy length: </xsl:text>      
       <xsl:value-of select="ilsrwylength"/>
       <xsl:text> ft)</xsl:text>
       </td>
    </table>
    </xsl:for-each>  
    
    <table border="0">
       <td style="font-family:Tahoma; font-size:15px; font-weight:bold">
       <xsl:text>Runway Information: </xsl:text>       
       </td>
    </table>

    <xsl:for-each select="flightplan/airportinfo/alternateinfo/alternaterwy">
    <table border="0">    
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="rwyid"/> 
       <xsl:text> - Heading:</xsl:text>      
       <xsl:value-of select="rwyheading"/>
       <xsl:text> - Length:</xsl:text>      
       <xsl:value-of select="rwylength"/>
       <xsl:text> - Width:</xsl:text>      
       <xsl:value-of select="rwywidth"/>
       </td>
    </table>
    </xsl:for-each>  


    <table border="0">
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Weather: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/airportinfo/alternateinfo/alternateweather"/>
       </td>
    </table>  

    </xsl:if>






    <h4 style="font-family:Tahoma">Flight Information:</h4>

    <table border="0">
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Flight rules: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/generalinfo/fptype"/>
       </td>
    </table>  

    <table border="0">
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Aircraft: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/generalinfo/aircraft"/>
       </td>
    </table> 

    <table border="0">
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Distance: </xsl:text>       
       </td>       
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/generalinfo/distance"/>
       <xsl:text>nm </xsl:text>
       </td>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text> Altitude: </xsl:text>       
       </td>   
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/generalinfo/cruisingalt"/>
       <xsl:text>ft</xsl:text>
       </td>
    </table> 
 
    <table border="0">
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Cruising speed: </xsl:text>       
       </td>       
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/generalinfo/cruisingspeed"/>
       <xsl:text>kn </xsl:text>
       </td>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text> Flight time: </xsl:text>       
       </td>   
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/generalinfo/flighttime"/>
       <xsl:text>hrs</xsl:text>
       </td>
    </table> 

    <table border="0">
       <td style="font-family:Tahoma; font-size:15px; font-weight:bold">
       <xsl:text>Fuel: </xsl:text>       
       </td>
    </table>

    <table border="0">
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Total: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/generalinfo/fuel/totalfuel"/>
       <xsl:value-of select="flightplan/generalinfo/fuel/fueltype"/>
       </td>
    </table> 

    <table border="0">
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Climb: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/generalinfo/fuel/climbfuel"/>
       <xsl:value-of select="flightplan/generalinfo/fuel/fueltype"/>
       </td>
    </table>

    <table border="0">
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Cruise: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/generalinfo/fuel/cruisefuel"/>
       <xsl:value-of select="flightplan/generalinfo/fuel/fueltype"/>
       </td>
    </table>

    <table border="0">
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Descent: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/generalinfo/fuel/descentfuel"/>
       <xsl:value-of select="flightplan/generalinfo/fuel/fueltype"/>
       </td>
    </table>

    <table border="0">
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Approach: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/generalinfo/fuel/approachfuel"/>
       <xsl:value-of select="flightplan/generalinfo/fuel/fueltype"/>
       </td>
    </table>

    <table border="0">
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Contingency: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/generalinfo/fuel/contingencyfuel"/>
       <xsl:value-of select="flightplan/generalinfo/fuel/fueltype"/>
       </td>
    </table>

    <table border="0">
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Holding: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/generalinfo/fuel/holdingfuel"/>
       <xsl:value-of select="flightplan/generalinfo/fuel/fueltype"/>
       </td>
    </table>
    
    <xsl:if test="flightplan/generalinfo/fuel/alternatefuel &gt; 0">
    
    <table border="0">
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <th> </th>
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Alternate: </xsl:text>       
       </td>
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/generalinfo/fuel/alternatefuel"/>
       <xsl:value-of select="flightplan/generalinfo/fuel/fueltype"/>
       </td>                  
    </table>

    </xsl:if>
   
    <table border="0">
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>SID: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/sidstarinfo/sid"/>
       </td>
    </table> 

    <table border="0">
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>STAR: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/sidstarinfo/star"/>
       </td>
    </table> 

	<table border="0">
       <td style="font-family:Tahoma; font-size:14px; font-weight:bold">
       <xsl:text>Transition: </xsl:text>       
       </td>           
       <td style="font-family:Tahoma; font-size:14px">
       <xsl:value-of select="flightplan/sidstarinfo/trans"/>
       </td>
    </table> 
	
	

    <h4 style="font-family:Tahoma">Waypoint list:</h4>  
   

   <table border="1">
     <tr style="font-family:Tahoma; font-size:14px" bgcolor="#9acd32">
       <th>Code</th>
       <th>Name</th>
       <th>Type</th>
       <th>Status</th>
       <th>Latitude</th>
       <th>Longitude</th>
       <th>Freq</th>
       <th>Course</th>
       <th>Dist</th>
       <th>Airway</th>
       <th>Min Alt</th>
       <th>Max Alt</th>
       <th>Remarks/Comments</th>
     </tr>
     <xsl:for-each select="flightplan/routeinfo/waypointinfo">
      <tr style="font-family:Tahoma; font-size:14px">
        <td><xsl:value-of select="waypointid"/></td>
        <td><xsl:value-of select="waypointname"/></td>
        <td><xsl:value-of select="waypointtype"/></td>
        <td><xsl:value-of select="waypointloc"/></td>
        <td><xsl:value-of select="waypointlat"/></td>
        <td><xsl:value-of select="waypointlon"/></td>
        <td><xsl:value-of select="waypointfreq"/></td>
        <td><xsl:value-of select="waypointcourse"/></td>
        <td><xsl:value-of select="waypointdistance"/></td>
        <td><xsl:value-of select="waypointairway"/></td>
        <td><xsl:value-of select="waypointminalt"/></td>
        <td><xsl:value-of select="waypointmaxalt"/></td>
        <td><xsl:text>:</xsl:text></td> 
      </tr>
      </xsl:for-each>
  
   </table>
 
  </body>
  </html>
</xsl:template>

</xsl:stylesheet>